Package: org.codehaus.groovy.classgen

## [Java] Class VerifierCodeVisitor

- org.codehaus.groovy.classgen.VerifierCodeVisitor

- Performs various checks on code inside methods and constructors including checking for valid field, variables names etc. that would otherwise lead to invalid code.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifierCodeVisitor (ClassNode classNode)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `assertValidIdentifier(String name, String message, ASTNode node)`
    `` | `void` | `visitConstructorCallExpression(ConstructorCallExpression call)`
    `` | `void` | `visitFieldExpression(FieldExpression expression)`
    `` | `void` | `visitForLoop(ForStatement expression)`
    `` | `void` | `visitListExpression(ListExpression expression)`
    `` | `void` | `visitVariableExpression(VariableExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CodeVisitorSupport` | `afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Constructor Detail

    - #### public VerifierCodeVisitor(ClassNode classNode)

  - ### Method Detail

    - #### public static void assertValidIdentifier(String name, String message, ASTNode node)

    - #### public void visitConstructorCallExpression(ConstructorCallExpression call)

    - #### public void visitFieldExpression(FieldExpression expression)

    - #### public void visitForLoop(ForStatement expression)

    - #### public void visitListExpression(ListExpression expression)

    - #### public void visitVariableExpression(VariableExpression expression)